<div class="container">
    <form (submit)="saveValues()" [formGroup]="updateValuesForm">

        <div class="row" *ngIf="errorMessage && errorMessage != ''">
            <div class="col" style="color: red;">
                {{errorMessage}}
            </div>
        </div>
        <div class="row row-form">
            <div class="col-3">
                <span>
                    <h6>Nombres</h6>
                </span>
            </div>
            <div class="col-9">
                <input autocomplete="off" type="text" formControlName="nombres" class="form-control upperCaseText">
            </div>
        </div>
        <div class="row row-form">
            <div class="col-3">
                <span>
                    <h6>Apellido Paterno</h6>
                </span>
            </div>
            <div class="col-9">
                <input autocomplete="off" type="text" formControlName="aPaterno" class="form-control upperCaseText">
            </div>
        </div>
        <div class="row row-form">
            <div class="col-3">
                <span>
                    <h6>Apellido Materno</h6>
                </span>
            </div>
            <div class="col-9">
                <input autocomplete="off" type="text" formControlName="aMaterno" class="form-control upperCaseText">
            </div>
        </div>
        <div class="row row-form">
            <div class="col-3">
                <span>
                    <h6 class="middle-text">CURP</h6>
                </span>
            </div>
            <div class="col-9">
                <input id="curpInput" maxlength="18" autocomplete="off" type="text" formControlName="curp"
                    class="form-control">
            </div>
        </div>
        <div class="row row-form">
            <div class="col-3">
                <span>
                    <h6 class="middle-text">Sexo</h6>
                </span>
            </div>
            <div class="col-9">
                <select formControlName="sexo" id="inputSexo" class="browser-default custom-select">
                    <option value="noData">--Selecciona una opción--</option>
                    <option *ngFor="let order of listSexo; let i = index" [value]="listSexo[i]">
                        {{listSexo[i]}}
                    </option>
                </select>
            </div>
        </div>
        <div class="row row-form">
            <div class="col-3">
                <span>
                    <h6 class="middle-text">Calle</h6>
                </span>
            </div>
            <div class="col-9">
                <input autocomplete="off" type="text" formControlName="calle" class="form-control upperCaseText">
            </div>
        </div>
        <div class="row row-form">
            <div class="col-3">
                <span>
                    <h6 class="middle-text">Número</h6>
                </span>
            </div>
            <div class="col-9">
                <input autocomplete="off" type="text" formControlName="numero" class="form-control upperCaseText">
            </div>
        </div>
        <div class="row row-form">
            <div class="col-3">
                <span>
                    <h6>Código Postal</h6>
                </span>
            </div>
            <div class="col-9">
                <input autocomplete="off" type="text" class="form-control upperCaseText" formControlName="codigoPostal"
                    oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1').slice(0,5);"
                    (blur)="searchCode($event)" (keyup.enter)="searchCode($event)">
            </div>
        </div>
        <div class="row row-form">
            <div class="col-3">
                <span>
                    <h6 class="middle-text">Municipio</h6>
                </span>
            </div>
            <div class="col-9">
                <input autocomplete="off" type="text" formControlName="ciudad" class="form-control upperCaseText">
            </div>
        </div>

        <div class="row row-form">
            <div class="col-3">
                <span>
                    <h6>Colonia</h6>
                </span>
            </div>
            <div class="col-9">
                <select class="browser-default custom-select" #ciudadSelect (change)='getInfoCiudad($event)'
                    name="ciudadSelect" class="form-control" id="ciudadSelect">
                    <option value="noData">Selecciona una colonia</option>
                    <option *ngFor="let result of this.arrayStreet; index as i" value="{{result.colony}}">
                        {{result.colony}}</option>
                    <option value="OTRO">Ingresar otra colonia</option>
                </select>
            </div>

        </div>

        <div class="row row-form">
            <div class="col-3">
            </div>
            <div class="col-9">
                <div class="form-group" *ngIf="showOtherColony">
                    <input autocomplete="off" value="{{coloniaInput}}" placeholder="Colonia" class="form-control"
                        type="text" id="colonia" maxlength="30">

                </div>
            </div>

        </div>


        <div class="row row-form">
            <div class="col-3">
                <span>
                    <h6 class="middle-text">Estado</h6>
                </span>
            </div>
            <div class="col-9">
                <select formControlName="estado" id="inputEstado" class="browser-default custom-select">
                    <option value="noData">--Selecciona una opción--</option>
                    <option *ngFor="let order of listEstado; let i = index" [value]="listEstado[i].clave">
                        {{listEstado[i].nombre}}
                    </option>
                </select>
            </div>
        </div>
        <div class="row row-form">
            <div class="col-12">
                <input autocomplete="off" type="submit" class="btn btn-lg btn-block btn-danger mr-3 btnUrl"
                    [style.background-color]="getColorButton()" [style.border-color]="getColorButton()"
                    [style.color]="getColorLabel()">
            </div>
        </div>
        <!-- <div class="row row-form">
            <div class="col-12">
                <button (click)="cancelar()" type ="button" class="btn btn-lg btn-block mr-3 btnUrl btnPrimary"
                [style.border-color]="getColorButton()"
                [style.color]="getColorLabel()">Cancelar</button>
            </div>
        </div> -->

    </form>
</div>